# 1.0.0 - WIP

## Bugfix
- PowerPoint2007 Writer : Text is subscripted when set superscript to false - [[@qmachard]](https://github.com/qmachard])(https://github.com/qmachard) GH-360
- Core : Defining width & height of a shape don't return any error if width & height were equal to 0 - [[@surger]](https://github.com/surger])(https://github.com/surger) GH-555
- ODPresentation Writer : Display axis title depending the visibility - [[@Progi1984]](https://github.com/Progi1984])(https://github.com/Progi1984) GH-410

## Changes
- Dropped support for HHVM - [@sunspikes](https://github.com/sunspikes) GH-556
- PHP 7.1 is now supported - [@Progi1984](https://github.com/Progi1984) GH-355
- Added support PHP 7.4 to 8.0 & Removed support PHP < 7.1 - [@Progi1984](https://github.com/Progi1984) GH-636
- Added support for PHP 8.1 - [@Progi1984](https://github.com/Progi1984) GH-661
- Removed deprecated methods/classes - [@Progi1984](https://github.com/Progi1984) GH-650
- Migrated use of PHPExcel to PhpSpreadsheet - [@Progi1984](https://github.com/Progi1984) GH-652
- PhpOffice\PhpPresentation\Style\Color : Define only the transparency - [@Progi1984](https://github.com/Progi1984) GH-370
- PowerPoint2007 Reader : Background Color based on SchemeColor - [@Progi1984](https://github.com/Progi1984) GH-397
- PowerPoint2007 Reader : Support for hyperlinks under pictures - [@ulziibuyan](https://github.com/ulziibuyan)
- PowerPoint2007 Reader : Load images in their initial format (and not by default in PNG) - [@polidog](https://github.com/polidog) GH-553

## Features
- Support for bar overlap in 2D bar charts - [@mindline](https://github.com/mindline-analytics) GH-667
    - PowerPoint2007 Writer
- Support for the position of Legend in ODPresentation Writer - [@Progi1984](https://github.com/Progi1984) GH-355
- Support for DoughnutChart - [@Progi1984](https://github.com/Progi1984) GH-355
    - ODPresentation Writer
    - PowerPoint2007 Writer
- Support for fill for transparent image - [@Progi1984](https://github.com/Progi1984) & [@JewrassicPark](https://github.com/JewrassicPark) GH-370
    - ODPresentation Reader
    - ODPresentation Writer
    - PowerPoint2007 Reader
    - PowerPoint2007 Writer
- Support for Slideshow Type (Fullscreen/Window/Kiosk mode) - [@zmip](https://github.com/zmip) GH-588 & [@Progi1986](https://github.com/Progi1986) GH-656
    - ODPresentation Reader
    - ODPresentation Writer
    - PowerPoint2007 Reader
    - PowerPoint2007 Writer
- Support for RTL in Alignment & Font Format (Latin/East Asian/Complex Script) - [@amirakbari](https://github.com/amirakbari) GH-629 & [@Progi1986](https://github.com/Progi1986) GH-657
    - ODPresentation Reader
    - ODPresentation Writer
    - PowerPoint2007 Reader
    - PowerPoint2007 Writer
- Support for Border & Fill for Chart's Marker in PowerPoint2007 Writer - [@ksmeeks0001](https://github.com/ksmeeks0001) GH-627 & [@Progi1986](https://github.com/Progi1986) GH-658
- Support for rotation for axis label - [@Progi1986](https://github.com/Progi1986) GH-410
    - ODPresentation Writer
    - PowerPoint2007 Writer
- Support for managing missing values in Chart - [@TonisOrmisson](https://github.com/TonisOrmisson) GH-581 & [@Progi1986](https://github.com/Progi1986) GH-659
    - ODPresentation Writer
    - PowerPoint2007 Writer
- Support for defining ticks label position for Axis in Chart - [@Web](https://github.com/Web)-Mobiledev GH-591 & [@Progi1986](https://github.com/Progi1986) GH-660
    - ODPresentation Writer
    - PowerPoint2007 Writer
- Support for interval unit for Chart's Axis - [@Progi1984](https://github.com/Progi1984) GH-546
    - ODPresentation Writer
    - PowerPoint2007 Writer
- Support for line smooth for line and scatter chart - [@ksmeeks0001](https://github.com/ksmeeks0001) GH-626 & [@Progi1984](https://github.com/Progi1984) GH-662
    - ODPresentation Writer
    - PowerPoint2007 Writer
- Support for column spacing for RichText - [@zoff83](https://github.com/zoff83) GH-617 & [@Progi1984](https://github.com/Progi1984) GH-663
    - PowerPoint2007 Reader
    - PowerPoint2007 Writer
- Support for line spacing mode & spacing before/after for Paragraph - [@zoff83](https://github.com/zoff83) GH-617 & [@Progi1984](https://github.com/Progi1984) GH-663
    - ODPresentation Reader
    - ODPresentation Writer
    - PowerPoint2007 Reader
    - PowerPoint2007 Writer
- Support for custom document properties - [@Progi1984](https://github.com/Progi1984) GH-313
    - ODPresentation Reader
    - ODPresentation Writer
    - PowerPoint2007 Reader
    - PowerPoint2007 Writer
- Support for RadarChart - [@Progi1984](https://github.com/Progi1984) GH-253
    - ODPresentation Writer
    - PowerPoint2007 Writer
- Support for Drawing (SVG format) - [@Aggiekev](https://github.com/Aggiekev) GH-531 & [@Progi1984](https://github.com/Progi1984) GH-666
    - ODPresentation Reader
    - ODPresentation Writer
    - PowerPoint2007 Reader
    - PowerPoint2007 Writer
- Support for Geometric form/AutoShape - [@Progi1984](https://github.com/Progi1984) GH-545
    - PowerPoint2007 Writer

## Project Management
- Migrated from Travis CI to Github Actions - [@Progi1984](https://github.com/Progi1984) GH-635
- Enabled PHPStan - [@Progi1984](https://github.com/Progi1984) GH-639
- Enabled PHPCSFixer - [@Progi1984](https://github.com/Progi1984) GH-637 / GH-640
- Added link to Coveralls - [@Progi1984](https://github.com/Progi1984) GH-648
- Migrated from ReadTheDocs to MkDocs & Github Actions - [@Progi1984](https://github.com/Progi1984) GH-647
- Added Changelog to MkDocs - [@Progi1984](https://github.com/Progi1984) GH-649

## BC Breaks
* Classes have been strict typed
* `PhpOffice\PhpPresentation\PhpPresentation`
    * Removed method `getProperties()` (replaced by `getDocumentProperties()`)
    * Removed method `getZoom()` (replaced by `getPresentationProperties()->getZoom()`)
    * Removed method `isMarkedAsFinal()` (replaced by `getPresentationProperties()->isMarkedAsFinal()`)
    * Removed method `markAsFinal($state)` (replaced by `getPresentationProperties()->markAsFinal($state)`)
    * Removed method `setProperties($value)` (replaced by `setDocumentProperties()`)
    * Removed method `setZoom($zoom)` (replaced by `getPresentationProperties()->setZoom($zoom)`)
* `PhpOffice\PhpPresentation\Shape\Chart\Type\AbstractType`
    * Removed method `getData()` (replaced by `getSeries()`)
    * Removed method `setData($value)` (replaced by `setSeries($value)`)
* `PhpOffice\PhpPresentation\Writer\PowerPoint2007`
    * Removed method `getLayoutPack()`
    * Removed method `setLayoutPack($pValue)`
* `PhpOffice\PhpPresentation\Writer\PowerPoint2007\LayoutPack\AbstractLayoutPack`
    * Removed class
* `PhpOffice\PhpPresentation\Writer\PowerPoint2007\LayoutPack\PackDefault`
    * Removed class
* `PhpOffice\PhpPresentation\Writer\PowerPoint2007\LayoutPack\TemplateBased`
    * Removed class
