# Credits

Images from chart page come from the [LibreOffice Core](https://github.com/LibreOffice/core/tree/master/icon-themes/galaxy/chart2/res).

Some definitions come from the [Office Open XML](http://officeopenxml.com).

## References

### OpenXML

Known as "ISO/IEC 29500, Third edition, 2012-09-01"

ISO :

- [Part 1: Fundamentals and Markup Language Reference](http://standards.iso.org/ittf/PubliclyAvailableStandards/c061750_ISO_IEC_29500-1_2012.zip)
- [Part 2: Open Packaging Conventions](http://standards.iso.org/ittf/PubliclyAvailableStandards/c061796_ISO_IEC_29500-2_2012.zip)
- [Part 3: Markup Compatibility and Extensibility](http://standards.iso.org/ittf/PubliclyAvailableStandards/c061797_ISO_IEC_29500-3_2012.zip)
- [Part 4: Transitional Migration Features](http://standards.iso.org/ittf/PubliclyAvailableStandards/c061798_ISO_IEC_29500-4_2012.zip)

MSDN :

- [PowerPoint Viewer](http://www.microsoft.com/en-US/download/details.aspx?id=13)
- [DocumentFormat.OpenXml.Presentation Namespace on MSDN](http://msdn.microsoft.com/en-us/library/documentformat.openxml.presentation(v=office.14).aspx)
- [Open XML SDK 2.5 with Validator](http://www.microsoft.com/en-gb/download/details.aspx?id=30425)

Library of Congress :

- [OOXML Format Family -- ISO/IEC 29500 and ECMA 376](https://www.loc.gov/preservation/digital/formats/fdd/fdd000395.shtml)
- [Schemas in W3C XML Schema language and in RELAX NG for the Strict variant of PPTX, etc.](http://standards.iso.org/ittf/PubliclyAvailableStandards/c071691_ISO_IEC_29500-1_2016_Electronic_inserts.zip)


### OpenDocument

- [Oasis OpenDocument Standard Version 1.2](http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os.html)
- [Schema Central Open Document 1.1](http://www.datypic.com/sc/odf/ss.html)

### PowerPoint 97

- [MS-PPT: PowerPoint (.ppt) Binary File Format](http://msdn.microsoft.com/en-us/library/cc313106(v=office.12).aspx)
- [OffVis : Microsoft Tool for reading PPT files](http://blogs.technet.com/b/srd/archive/2009/07/31/announcing-offvis.aspx>)